﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DefilImages
{
 public partial class Page : UserControl
 {
  public Page()
  {
   InitializeComponent();
   Pics.SetValue(Canvas.LeftProperty, 0.0); // curseur initalement à gauche
  } 
  bool bCursEnMouvt;
  double xPrec, xBalle;
  void BouleCurseur_MouseLeftButtonDown(object sender, MouseEventArgs e)
  {
   xPrec = e.GetPosition(Curseur).X;
   xBalle = (double)BouleCurseur.GetValue(Canvas.LeftProperty) + 25;
   bCursEnMouvt = true;
  }
  void BouleCurseur_MouseMove(object sender, MouseEventArgs e)
  {
   if (bCursEnMouvt)
   {
    double X = e.GetPosition(Curseur).X;
    xBalle += X - xPrec; xPrec = X;
    xBalle = Math.Max(0, xBalle);
    xBalle = Math.Min(xBalle, Curseur.Width); 

    BouleCurseur.SetValue(Canvas.LeftProperty, xBalle-BouleCurseur.ActualWidth/2);
    double Val = (xBalle / Curseur.Width) * (Fenêtre.Rect.Width - Pics.Width);
    Pics.SetValue(Canvas.LeftProperty, Val);
   }
  }
  void BouleCurseur_MouseLeftButtonUp(object sender, MouseEventArgs e)
  {
   bCursEnMouvt = false;
  }
  void BouleCurseur_MouseLeave(object sender, EventArgs e)
  {
   bCursEnMouvt = false;
  }
 }
}
